Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.services.javascript
Enum InitializationPriority

    java.lang.Object
      java.lang.Enum<InitializationPriority>
          org.apache.tapestry5.services.javascript.InitializationPriority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InitializationPriority>

    public enum InitializationPriority

extends java.lang.Enum<InitializationPriority>

Sets the priority for JavaScript initialization scripting. InitializationPriority allows coarse-grained control over the order in which initialization occurs on the client. The default is normally `NORMAL`.

Since:
  5.2.0

Enum Constant Summary
`EARLY` Execution is deferred until the page loads.
`IMMEDIATE` Provided JavaScript will be executed immediately (it is not deferred until the page loads).
`LATE` Execution is deferred until the page loads.
`NORMAL` Execution is deferred until the page loads.

Method Summary
`static InitializationPriority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InitializationPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMMEDIATE

    public static final InitializationPriority IMMEDIATE

  Provided JavaScript will be executed immediately (it is not deferred until the page loads). In an Ajax update, IMMEDIATE code executed after the DOM is updated and before EARLY.

### EARLY

    public static final InitializationPriority EARLY

  Execution is deferred until the page loads. All early execution occurs before `NORMAL`.

### NORMAL

    public static final InitializationPriority NORMAL

  Execution is deferred until the page loads. This is the typical priority.

### LATE

    public static final InitializationPriority LATE

  Execution is deferred until the page loads. Execution occurs after `NORMAL`.

Method Detail

### values

    public static final InitializationPriority[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InitializationPriority c : InitializationPriority.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InitializationPriority valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.